### Method

# Gio FileInfo get_etag

#### Declaration

    const char*
    g_file_info_get_etag (
      GFileInfo* info
    )

#### Description

Gets the entity tag for a given `GFileInfo`. See `G_FILE_ATTRIBUTE_ETAG_VALUE`.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_ETAG_VALUE`.

#### Return value

Type: `const char*`

A string containing the value of the “etag:value” attribute.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.